--***********************************************************
--**     KI5 did this / bikinihorst is not to blame        **
--***********************************************************

DAMN = DAMN or {};
STP85 = STP85 or {};

function STP85.pvFixCheck()
	local vanillaEnter = ISEnterVehicle["start"];

	ISEnterVehicle["start"] = function(self)

		local vehicle = self.vehicle
			if vehicle and (
				string.find( vehicle:getScriptName(), "85chevyStepVan" )) then

				self.character:SetVariable("damnVehicle", "True")
			end
		
	vanillaEnter(self);
		
		local seat = self.seat
    		if not seat then return end
				if seat == 0 then		
					self.character:SetVariable("damnPosition", "driver")
				else		
					self.character:SetVariable("damnPosition", "passenger")
			end
	end
end

function STP85.pvFixSwitch(player)
	local player = getPlayer()
	local vehicle = player:getVehicle()
		if vehicle and (
			string.find( vehicle:getScriptName(), "85chevyStepVan" )) then

			player:SetVariable("damnVehicle", "True")

			local seat = vehicle:getSeat(player)
	    		if not seat then return end
					if seat == 0 then		
						player:SetVariable("damnPosition", "driver")
					else		
						player:SetVariable("damnPosition", "passenger")
				end

	end
end

function STP85.pvFixClear(player)

		player:SetVariable("damnVehicle", "False")
end

Events.OnGameStart.Add(STP85.pvFixCheck);
Events.OnGameStart.Add(STP85.pvFixSwitch);
Events.OnExitVehicle.Add(STP85.pvFixClear);
Events.OnSwitchVehicleSeat.Add(STP85.pvFixSwitch);